Bug 179537

Summary: [patch] graphics/gd: fix to enable interlaced gif
Product: Ports & Packages Reporter: pluknet <pluknet>
Component: Individual Port(s)Assignee: Dirk Meyer <dinoex>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
file.diff none

Description pluknet 2013-06-13 14:30:00 UTC
It was fixed 5 years ago in libgd repo (never got to released versions).

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-06-13 14:30:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->dinoex

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2013-06-15 12:41:32 UTC
Author: dinoex
Date: Sat Jun 15 11:41:25 2013
New Revision: 320987
URL: http://svnweb.freebsd.org/changeset/ports/320987

Log:
  - fix to support interlaced gif
  PR:		179537
  Submitted by:	Sergey Kandaurov
  Obtained from:	libgd repo

Added:
  head/graphics/gd/files/patch-gd_gif_out.c   (contents, props changed)
Modified:
  head/graphics/gd/Makefile

Modified: head/graphics/gd/Makefile
==============================================================================
--- head/graphics/gd/Makefile	Sat Jun 15 11:29:10 2013	(r320986)
+++ head/graphics/gd/Makefile	Sat Jun 15 11:41:25 2013	(r320987)
@@ -3,7 +3,7 @@
 
 PORTNAME=	gd
 PORTVERSION=	2.0.35
-PORTREVISION?=	8
+PORTREVISION?=	9
 PORTEPOCH=	1
 CATEGORIES+=	graphics
 MASTER_SITES=	http://www.libgd.org/releases/ \

Added: head/graphics/gd/files/patch-gd_gif_out.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/gd/files/patch-gd_gif_out.c	Sat Jun 15 11:41:25 2013	(r320987)
@@ -0,0 +1,24 @@
+--- gd_gif_out.c~	2007-01-04 15:44:31.000000000 +0300
++++ gd_gif_out.c	2013-06-13 17:11:11.000000000 +0400
+@@ -586,9 +586,9 @@
+         int InitCodeSize;
+         int i;
+ 	GifCtx ctx;
++	memset(&ctx, 0, sizeof(ctx));
+         ctx.Interlace = GInterlace;
+ 	ctx.in_count = 1;
+-	memset(&ctx, 0, sizeof(ctx));
+         ColorMapSize = 1 << BitsPerPixel;
+ 
+         RWidth = ctx.Width = GWidth;
+@@ -735,9 +735,9 @@
+         int InitCodeSize;
+         int i;
+ 	GifCtx ctx;
++	memset(&ctx, 0, sizeof(ctx));
+         ctx.Interlace = GInterlace;
+ 	ctx.in_count = 1;
+-	memset(&ctx, 0, sizeof(ctx));
+         ColorMapSize = 1 << BitsPerPixel;
+ 
+ 	if (LeftOfs < 0) LeftOfs = 0;
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Dirk Meyer freebsd_committer 2013-06-15 12:56:23 UTC
State Changed
From-To: open->closed

committed, thanks.